tdevelopincludeextdir = $(includedir)/tdevelop/interfaces/extensions
tdevelopincludeext_HEADERS = codebrowserfrontend.h kdevappfrontend.h \
	kdevcreatefile.h kdevdifffrontend.h kdevmakefrontend.h kdevquickopen.h \
	kdevsourceformatter.h kdevversioncontrol.h

servicetypedir = $(kde_servicetypesdir)
servicetype_DATA = tdevelopappfrontend.desktop \
	tdevelopcodebrowserfrontend.desktop tdevelopcreatefile.desktop tdevelopdifffrontend.desktop \
	tdevelopmakefrontend.desktop tdevelopquickopen.desktop tdevelopsourceformatter.desktop \
	tdevelopversioncontrol.desktop

SUBDIRS = dcop
libkdevextensions_la_LDFLAGS = $(all_libraries)
noinst_LTLIBRARIES = libkdevextensions.la
libkdevextensions_la_SOURCES = kdevappfrontend.cpp kdevmakefrontend.cpp
INCLUDES = -I$(top_srcdir)/lib/interfaces $(all_includes)
METASOURCES = AUTO

DOXYGEN_REFERENCES = dcop interfaces tdecore tdefx tdeui tdehtml tdemdi tdeio kjs tdeparts tdeutils kdevinterfaces
DOXYGEN_PROJECTNAME = KDevelop Extension Interfaces Library
DOXYGEN_DOCDIRPREFIX = kdev
include ../../../Doxyfile.am
noinst_HEADERS = codebrowserfrontend.h
